*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    }
    body{
        background-color:white;
    }
    .navbar .cart{
        display: none;
    }
    .response{
        position: fixed;
        top: 200px;
        width: 200px;
        height: 150px;
        z-index: 1;
        background-color: rgb(204, 198, 198);
        left: calc(50% - 100px);
        box-shadow: inset 7px 6px 17px hsla(0, 2%, 24%, 0.8), 1em 5em 1em rgba(0, 0, 0, 0.6);
        display: flex;
        align-items: center;
        justify-content: center;

    }
    .response .message{
        position: absolute;
        top: 40px;
    }
    .response button{
        position: absolute;
        bottom: 10px;
        border: none;
        outline: none;
        color: white;
        font-weight: bold;
        text-transform: uppercase;
        border-radius: 50%;
        width: 60px;
        height: 60px;
        background-color: rgb(124, 89, 24);
    }
    .header{
        background-color:black;
        position: relative;
        margin-top: 50px;
        height: 50px;
        width: 100%;
    }
    .header h1{
        color: white;
        text-align: center;
        text-transform: uppercase;
        padding: 12px 20px;
        font-size: 26px;
        
    }
    .main{
        background-color:transparent;
        height: 100%;
        width: 100%;
        display: flex;
        position: absolute;
        justify-content: center;
        top: 90px;
    }

    /* .main .maincont{
        width: 100%;
        min-height:160px;
        position: absolute;
        background-color: violet;
        padding: 5px;
    }
    .main .maincont .productcont{
        position: relative;
        height: 140px;
        width:90%;
        left: 5%;
        background-color: white;
    }
    .main .maincont .productcont .imagecont{
        position: absolute;
        height: 100%;
        width: 140px;
        left: 0px;
        display: flex;
    }
    .main .maincont .productcont .imagecont img{
        position: absolute;
        height: 100%;
        width: 100%;
        object-fit: cover;
        object-position: center;
    }
    .main .maincont .productcont .detailcont{
        position: absolute;
        height: 100%;
        width:calc(100% - 140px);
        right: 0px;
    }
    .main .maincont .productcont .productname{
        position: relative;
        color: black;
        font-weight: bold;
        padding: 8px 12px;
        width: 100%;
    }
    .main .maincont .productcont .productprice{
        position: relative;
        color: black;
        font-weight: bold;
        padding: 8px 12px;
    } */





    .main .cart-cont{
        position:absolute;
        width:100%;
        height: 100%;
        top: 0px;
        background-color:transparent;
    }
    .main .cart-cont .productcont{
        top: 0px;
        position:relative;
        min-height:200px;
        width:100%;
        min-width: 100%;
        background-color:transparent;
        display: grid;
        grid-template-columns: repeat(auto-fit, minmax(290px, 0.3fr));
        grid-template-rows: repeat(auto-fit, minmax(150px, 0.1fr));
        column-gap: 1em;
        justify-content:center;
        row-gap: 1.5em;
        margin-bottom: 40px;
        padding-bottom: 20px;
        padding-top: 20px;
    }
    .main .cart-cont .product{
        height: 160px;
        width: 300px;
        background: #f1f1f1;
        position: relative;
        display: flex;
        align-items: center;
        justify-content: center;   
        font-weight: bold;
        color: black;
        border-radius: 10px;
        box-shadow: inset 0 0 1px hsla(0, 0%, 100%, .8), 0 0.5em 1em rgba(0, 0, 0, 0.6);
    }
    .cart-cont .product-image{
        top: 0;
        height:100%;
        width:160px;
        position: absolute;
        border-top-left-radius: 10px;
        border-bottom-left-radius: 10px;
        left: 0;
    }
    .cart-cont .product-image img{
        border-top-left-radius: 10px;
        border-bottom-left-radius: 10px;
        position: absolute;
        height: 100%;
        width: 100%;
        object-fit: cover;
    }
    .cart-cont .product-name{
        top: 4px;
        right: 0;
        height: 30px;
        width:calc(100% - 160px);
       position: absolute;
       background-color:transparent;
       display: flex;
       align-items: center;
       justify-content: center;
       border-top-right-radius: 10px;
    }
    .cart-cont .product-price{
        top: 40px;
        height: 30px;
        width:calc(100% - 160px);
       position: absolute;
       display: flex;
       align-items: center;
       right: 0;
       justify-content: center;
    }
    .cart-cont span{
        top: 80px;
        height: 30px;
        width:calc(100% - 160px);
       position: absolute;
       display: flex;
       right: 0;
       align-items: center;
       color: black;
       font-weight: bold;
       justify-content: center;
    }
    .cart-cont button.buy{
        bottom: 0;
        border: none;
        outline: none;
        height: 30px;
        width:calc(100% - 160px);
        background:rgb(218, 143, 4);
       position: absolute;
       text-transform: uppercase;
       font-weight: bold;
       display: flex;right: 0;
       justify-content: center;
       border-bottom-right-radius: 10px;
       align-items: center;
       cursor:pointer;
    }
    .main .formcont{
        position: relative;
        width: 100%;
        height: 750px;
        background-color:transparent;
        display: flex;
        justify-content:center;
        padding-bottom: 30px;
    }
    .main .payment-form{
        height: 730px;
        width: 300px;
        position:relative;
        background-color: white;
        box-shadow: inset 0 0 1px hsla(0, 0%, 100%, .8), 0 0.5em 1em rgba(0, 0, 0, 0.6);
        border-radius: 20px;
    }
    .payment-form h1{
        width: 100%;
        height: 60px;
        background: rgb(209, 139, 8);
        color: black;
        font-weight: bold;
        display: flex;
        justify-content: center;
        text-transform: uppercase;
        align-items: last baseline;
        border-top-right-radius: 20px;
        border-top-left-radius: 20px;

    }
    .payment-form label{
        position: relative;
        font-weight: bold;
        left: 3%;
        font-size: 14px;
    }
    .payment-form input{
        width: 94%;
        border: none;
        outline: none;
        height: 40px;
        position: relative;
        left: 3%;
        margin-top:5px;
        margin-bottom: 10px;
        background-color: #ddd;
        padding: 5px 8px;
        border-radius: 10px;
    }
     .payment-form .pickupname{
        width:100%;
        border: none;
        outline: none;
        height: 30px;
        position: relative;
        left:0px;
        padding-left:4px;
        font-size:12px;
        margin-top:0px;
        display:flex;
        align-items: center;
        margin-bottom:5px;
        font-weight:bold;
        font-style:italic;
        background-color: rgba(0, 0, 0, 0.1);
    }
    .payment-form input[type = radio]{
        width:20px;
        border: none;
        outline: none;
        height: 20px;
        position: relative;
        left: 3%;
        margin-top:1px;
        margin-right: 5px;
        margin-bottom: 10px;
        background-color: #ddd;
    }
    .payment-form label.delivery{
        font-weight: normal;
        top: -3px;
        position: relative;
    }
    .payment-form select{
        width: 94%;
        border: none;
        outline: none;
        height: 40px;
        position: relative;
        left: 3%;
        margin-top:5px;
        margin-bottom: 10px;
        background-color: #ddd;
    }
    .payment-form textarea{
        width: 94%;
        min-width: 94%;
        max-width: 94%;
        height: 40px;
        min-height: 40px;
        max-height: 60px;
        border: none;
        outline: none;
        position: relative;
        left: 3%;
        margin-top:5px;
        margin-bottom: 10px;
        background-color: #ddd;
        padding: 5px 8px;
    }
    .payment-form p1{
        font-weight: bold;
        left: 3%;
        position: relative;
        color:rgb(65, 15, 112);
    }
    .payment-form button.payment{
        border: none;
        outline: none;
        width: 80%;
        bottom: 10px;
        left: 10%;
        height: 40px;
        display: flex;
        align-items: center;
        position: absolute;
        justify-content: center;
        border-radius:20px;
        background-color:rgb(216, 143, 7);
        color:white;
        font-weight: bold;
        text-transform: uppercase;
        font-size: 18px;
    }
    .payment-form p2{
        width: 80%;
        bottom: 10px;
        left: 10%;
        height: 40px;
        display:none;
        align-items: center;
        position: absolute;
        justify-content: center;
        color:black;
        font-weight: bold;
        text-transform: uppercase;
        font-size: 18px;
    }
    
.mesg{
    font-weight: bold;
    font-size: 30px;
    position: relative;
    text-align: center;
    text-transform: uppercase;
}
.mesg a{
    background-color:black;
    text-decoration: none;
    color: white;
    padding: 12px 20px;
    font-size: 20px;
    border-radius: 50px;
}
.mesg.b{
    font-weight:normal;
    font-family:Arial, Helvetica, sans-serif;
    font-size: 20px;
    position: relative;
    margin-top: 80px;
    text-transform: uppercase;
}